Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.wso2.solutions.identity.relyingparty.servletfilter
Class RelyingPartyFilter

    java.lang.Object
      org.wso2.solutions.identity.relyingparty.servletfilter.RelyingPartyFilter

All Implemented Interfaces:
  javax.servlet.Filter

    public class RelyingPartyFilter

extends java.lang.Object
implements javax.servlet.Filter

Field Summary
`static org.apache.commons.logging.Log` | `log`

Constructor Summary
`RelyingPartyFilter()`

Method Summary
`void` | `destroy()`
`void` | `doFilter(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, javax.servlet.FilterChain chain)`
`void` | `init(javax.servlet.FilterConfig config)`
`protected org.apache.axiom.om.OMElement` | `verifyToken(org.w3c.dom.Element plainTokenElem, RelyingPartyFilterConfiguration config)` Access the verifier service and obtain the verification response

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    public static org.apache.commons.logging.Log log

Constructor Detail

### RelyingPartyFilter

    public RelyingPartyFilter()

Method Detail

### doFilter

    public void doFilter(javax.servlet.ServletRequest request,
                         javax.servlet.ServletResponse response,
                         javax.servlet.FilterChain chain)
                  throws java.io.IOException,
                         javax.servlet.ServletException

  Specified by:
    `doFilter` in interface `javax.servlet.Filter`
  Throws:
    `java.io.IOException`
    `javax.servlet.ServletException`

### verifyToken

    protected org.apache.axiom.om.OMElement verifyToken(org.w3c.dom.Element plainTokenElem,
                                                        RelyingPartyFilterConfiguration config)
                                                 throws java.lang.Exception

  Access the verifier service and obtain the verification response

  Parameters:
    `plainTokenElem` -
    `config` -
  Returns:
  Throws:
    `java.lang.Exception`

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `javax.servlet.Filter`

### init

    public void init(javax.servlet.FilterConfig config)
              throws javax.servlet.ServletException

  Specified by:
    `init` in interface `javax.servlet.Filter`
  Throws:
    `javax.servlet.ServletException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD